/*
 * Copyright 2020 Kunbus GmbH.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package revpiblink;

import com.kunbus.revpi.PiControl;
import com.kunbus.revpi.SPIVariable;
import com.kunbus.revpi.SPIValue;
import static java.lang.Thread.sleep;

public class RevPiBlink {

    public static int getRevPiLEDAddress(PiControl piC) {

        SPIVariable spiVariableOut = new SPIVariable("RevPiLED", 0, 0, 0);

        if (piC.getVariableInfo(spiVariableOut) != 0) {
            return -1;
        } else {
            return (spiVariableOut.address);
        }
    }

    public static void main(String[] args) throws InterruptedException {

        PiControl piC = new PiControl();

        SPIValue spiValue = new SPIValue(0, 0, 0);
        spiValue.address = getRevPiLEDAddress(piC);
        spiValue.bit = 1;
        spiValue.value = 1;

        while (true) {
            spiValue.value = spiValue.value ^ 0x01;
            piC.setBitValue(spiValue);
            sleep(1000);
        }

    }

}
